Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jdbc.pool.jmx
Interface ConnectionPoolMBean

All Superinterfaces:
  PoolConfiguration

All Known Implementing Classes:
  ConnectionPool, DataSource, XADataSource

    public interface ConnectionPoolMBean

extends PoolConfiguration

Field Summary

Fields inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration
`PKG_PREFIX`

Method Summary
`void` | `checkAbandoned()`
`void` | `checkIdle()`
`int` | `getActive()`
`int` | `getIdle()`
`int` | `getNumActive()`
`int` | `getNumIdle()`
`int` | `getSize()`
`int` | `getWaitCount()`
`void` | `purge()` Purges all connections in the pool.
`void` | `purgeOnReturn()` Purges connections when they are returned from the pool.
`void` | `testIdle()`

Methods inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration
`getAbandonWhenPercentageFull, getCommitOnReturn, getConnectionProperties, getDataSource, getDataSourceJNDI, getDbProperties, getDefaultAutoCommit, getDefaultCatalog, getDefaultReadOnly, getDefaultTransactionIsolation, getDriverClassName, getInitialSize, getInitSQL, getJdbcInterceptors, getJdbcInterceptorsAsArray, getLogValidationErrors, getMaxActive, getMaxAge, getMaxIdle, getMaxWait, getMinEvictableIdleTimeMillis, getMinIdle, getName, getNumTestsPerEvictionRun, getPassword, getPoolName, getPropagateInterruptState, getRemoveAbandonedTimeout, getRollbackOnReturn, getSuspectTimeout, getTimeBetweenEvictionRunsMillis, getUrl, getUseDisposableConnectionFacade, getUseLock, getUsername, getValidationInterval, getValidationQuery, getValidator, getValidatorClassName, isAccessToUnderlyingConnectionAllowed, isAlternateUsernameAllowed, isDefaultAutoCommit, isDefaultReadOnly, isFairQueue, isJmxEnabled, isLogAbandoned, isPoolSweeperEnabled, isRemoveAbandoned, isTestOnBorrow, isTestOnConnect, isTestOnReturn, isTestWhileIdle, isUseEquals, setAbandonWhenPercentageFull, setAccessToUnderlyingConnectionAllowed, setAlternateUsernameAllowed, setCommitOnReturn, setConnectionProperties, setDataSource, setDataSourceJNDI, setDbProperties, setDefaultAutoCommit, setDefaultCatalog, setDefaultReadOnly, setDefaultTransactionIsolation, setDriverClassName, setFairQueue, setInitialSize, setInitSQL, setJdbcInterceptors, setJmxEnabled, setLogAbandoned, setLogValidationErrors, setMaxActive, setMaxAge, setMaxIdle, setMaxWait, setMinEvictableIdleTimeMillis, setMinIdle, setName, setNumTestsPerEvictionRun, setPassword, setPropagateInterruptState, setRemoveAbandoned, setRemoveAbandonedTimeout, setRollbackOnReturn, setSuspectTimeout, setTestOnBorrow, setTestOnConnect, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setUrl, setUseDisposableConnectionFacade, setUseEquals, setUseLock, setUsername, setValidationInterval, setValidationQuery, setValidator, setValidatorClassName`

Method Detail

### getSize

    int getSize()

### getIdle

    int getIdle()

### getActive

    int getActive()

### getNumIdle

    int getNumIdle()

### getNumActive

    int getNumActive()

### getWaitCount

    int getWaitCount()

### checkIdle

    void checkIdle()

### checkAbandoned

    void checkAbandoned()

### testIdle

    void testIdle()

### purge

    void purge()

  Purges all connections in the pool. For connections currently in use, these connections will be purged when returned on the pool. This call also purges connections that are idle and in the pool To only purge used/active connections see `purgeOnReturn()`

### purgeOnReturn

    void purgeOnReturn()

  Purges connections when they are returned from the pool. This call does not purge idle connections until they are used. To purge idle connections see `purge()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.